## class DragTextShapeCmd : public DragShapeCmd

> command class for dragging text shapes.

## Inheritance:

### Public Methods

  | DragTextShapeCmd (TextShape *shape)
  void | Executable ()
  const char* | GetName () const

### Inherited from DragShapeCmd:

### Public Methods

void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)
void Execute()
void UnExecute()
void ReExecute()

### Protected Methods

virtual void DrawOutLine(const Point *delta)
Shape* GetShape() const
ShapeView* GetView() const
const Point* GetDelta() const
void SetDelta(const Point *p)
const Point* GetOldPosition() const
void SetOldPosition(const Point *p)

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for dragging text shapes.

`DragTextShapeCmd(TextShape *shape)`

`void Executable()`

`const char* GetName() const`

Direct child classes:
  DragSTLabelCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de